#Module-Specific definitions
%define mod_name mod_auth_kerb

Name:		apache-%{mod_name}
Version:	5.4
Release:	%mkrel 10
Summary:	Apache module to provides authentication against a Kerberos server
Group:		System/Servers
License:	BSD-like
URL:		https://modauthkerb.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/modauthkerb/%{mod_name}-%{version}.tar.gz
Source1:	mod_auth_kerb.conf
Source2:	example.conf
Patch1:		mod_auth_kerb-5.4-rcopshack.patch
Patch2:		mod_auth_kerb-5.4-fixes.patch
Patch3:		mod_auth_kerb-5.4-s4u2proxy.patch
Patch4:		mod_auth_kerb-5.4-httpd24.patch
# gentoo patches
Patch20:	mod_auth_kerb-5.4-krb5pwd-double-free.patch
Patch21:	mod_auth_kerb-5.4-api-change-krb5.patch
BuildRequires:	pkgconfig(krb5)
BuildRequires:	apache-devel
Requires:	apache

%description
Mod_auth_kerb is an apache module designed to provide Kerberos
user authentication to the Apache web server. Using the Basic
Auth mechanism, it retrieves a username/password pair from the
browser and checks them against a Kerberos server as set up by
your particular organization. It also supports mutual ticket
authentication, but most browsers do not support that natively.

I might look into writing a netscape plugin for it at some point.
Some browsers also require being told that they are to use Basic
Auth as opposed to seeing KerberosV* and handling that as basic
auth. The module accounts for this and 'tricks' the browser into
thinking it's normal basic auth. 

If you are using the Basic Auth mechanmism, the module does not
do any special encryption of any sort. The passing of the
username and password is done with the same Base64 encoding that
Basic Auth uses. This can easily be converted to plain text. To
counter this, I would suggest also using mod_ssl. 

%prep
%autosetup -p1 -n %{mod_name}-%{version}

%build
%configure --localstatedir=/var/lib \
    --with-krb5=%{_prefix} \
    --without-krb4
%make_build

%install
install -D -m 755 src/.libs/mod_auth_kerb.so \
        %{buildroot}%{_httpd_moddir}/mod_auth_kerb.so

install -D -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10_mod_auth_kerb.conf
install -m 644 %{SOURCE2} example.conf

%files
%doc INSTALL LICENSE README example.conf
%config(noreplace) %{_httpd_modconfdir}/10_mod_auth_kerb.conf
%{_httpd_moddir}/mod_auth_kerb.so


%changelog
* Tue Sep 24 2024 daviddavid <daviddavid> 5.4-10.mga10
+ Revision: 2100908
- add gentoo patches to fix build with GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 5.4-10.mga9
+ Revision: 1792821
- Mageia 9 Mass Rebuild

* Mon May 04 2020 umeabot <umeabot> 5.4-9.mga8
+ Revision: 1578767
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 5.4-8.mga7
+ Revision: 1294383
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 5.4-7.mga6
+ Revision: 935749
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.4-6.mga5
+ Revision: 741288
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.4-5.mga5
+ Revision: 677834
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.4-4.mga4
+ Revision: 523546
- Mageia 4 Mass Rebuild

* Thu May 23 2013 guillomovitch <guillomovitch> 5.4-3.mga4
+ Revision: 424815
- fix typo in configuration file (#10225)

* Fri Jan 11 2013 umeabot <umeabot> 5.4-2.mga3
+ Revision: 345838
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 12 2012 guillomovitch <guillomovitch> 5.4-1.mga3
+ Revision: 280903
- imported package apache-mod_auth_kerb

